Skip to main content
GET
/
config_instances
/
{config_instance_id}
/
content
Python
import os
from miru_platform_sdk import Miru

client = Miru(
    api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
)
response = client.config_instances.download(
    config_instance_id="cfg_inst_123",
)
print(response)
content = response.read()
print(content)
"<string>"
ScopeRequired
config_instances:readYes

Authorizations

X-API-Key
string
header
required

The API key to use for authentication.

Headers

Miru-Version
string
required

The API version the client was built against.

Example:

"2026-03-09.tetons"

Path Parameters

config_instance_id
string
required

The unique identifier of the config instance.

Example:

"cfg_inst_123"

Query Parameters

disposition
enum<string>
default:inline

Controls the Content-Disposition behavior. Use inline to display in browser or attachment to trigger a file download.

Available options:
inline,
attachment
Example:

"inline"

Response

200 - application/octet-stream

Successfully retrieved the config instance content. The Content-Type header is set according to the instance format.

The raw config instance content.

Last modified on March 13, 2026